FreeMat

- Main Page
- Related Pages

vtkMoleculeReaderBase

Section: Visualization Toolkit IO Classes

# Usage

vtkMoleculeReaderBase is a source object that reads Molecule files The FileName must be specified

.SECTION Thanks Dr. Jean M. Favre who developed and contributed this class

To create an instance of class vtkMoleculeReaderBase, simply invoke its constructor as follows

      obj = vtkMoleculeReaderBase

# Methods

The class vtkMoleculeReaderBase has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMoleculeReaderBase class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMoleculeReaderBase = obj.NewInstance ()`
- `vtkMoleculeReaderBase = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )`
- `string = obj.GetFileName ()`
- `obj.SetBScale (double )`
- `double = obj.GetBScale ()`
- `obj.SetHBScale (double )`
- `double = obj.GetHBScale ()`
- `int = obj.GetNumberOfAtoms ()`